Name:           perl-Text-BibTeX
Version:        0.71
Release:        3%{?dist}
Summary:        Interface to read and parse BibTeX files
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Text-BibTeX/
Source0:        http://www.cpan.org/authors/id/A/AM/AMBS/Text-BibTeX-%{version}.tar.gz
BuildRequires:  perl
BuildRequires:  perl(base)
BuildRequires:  perl(lib)
BuildRequires:  perl(Capture::Tiny) >= 0.06
BuildRequires:  perl(Config)
BuildRequires:  perl(Config::AutoConf) >= 0.16
BuildRequires:  perl(ExtUtils::CBuilder) >= 0.27
BuildRequires:  perl(ExtUtils::LibBuilder) >= 0.02
BuildRequires:  perl(ExtUtils::Mkbootstrap)
BuildRequires:  perl(ExtUtils::ParseXS)
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Carp)
BuildRequires:  perl(utf8)
BuildRequires:  perl(Encode)
BuildRequires:  perl(Fcntl)
BuildRequires:  perl(DynaLoader)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(IO::File)
BuildRequires:  perl(IO::Handle)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(File::Copy)
BuildRequires:  perl(File::Path)
BuildRequires:  perl(File::Spec::Functions)
BuildRequires:  perl(strict)
# These don't work?  perl(Scalar::List::Utils), perl(Scalar::Util)
BuildRequires:  perl-Scalar-List-Utils >= 1.42
BuildRequires:  perl(vars)
BuildRequires:  perl(warnings)
BuildRequires:  chrpath
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:       perl-Scalar-List-Utils >= 1.42

%description
The Text::BibTeX module processes BibTeX data.  It includes object-oriented
interfaces to both BibTeX database files and individual bibliographic
entries, as well as other miscellaneous functions.

%prep
%setup -q -n Text-BibTeX-%{version}
sed -ri 's#/usr/local/bin/perl5?#%{__perl}#' scripts/* examples/*
chmod a-x scripts/* examples/*

%build
perl Build.PL installdirs=vendor optimize="$RPM_OPT_FLAGS"
./Build

%install
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -exec rm -f {} \;
%{_fixperms} $RPM_BUILD_ROOT/*
chrpath -d $RPM_BUILD_ROOT%{_bindir}/*

%check
./Build test

%files
%doc Changes examples README README.OLD scripts THANKS btool_faq.pod
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Text*
%{_mandir}/man3/*
%{_mandir}/man1/*
%{_bindir}/*
%{_libdir}/*.so

%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.71-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Jun 11 2015 Jitka Plesnikova <jplesnik@redhat.com> - 0.71-2
- Perl 5.22 rebuild

* Wed Jun 10 2015 Colin B. Macdonald <cbm@m.fsf.org> 0.71-1
- Version bump, drop old patches

* Fri Jun 05 2015 Jitka Plesnikova <jplesnik@redhat.com> - 0.70-6
- Perl 5.22 rebuild

* Thu Apr 30 2015 Jitka Plesnikova <jplesnik@redhat.com> 0.70-5
- Stop using import from UNIVERSAL (RT#104119)

* Sat Dec 13 2014 Dan Horák <dan[at]danny.cz> 0.70-4
- fix build on non-x86 64-bit arches

* Sat Nov 22 2014 Colin B. Macdonald <cbm@m.fsf.org> 0.70-3
- install faq file.
- no need to split out btparse (used to be a standalone library but is
  now a part of this package).

* Wed Nov 19 2014 Colin B. Macdonald <cbm@m.fsf.org> 0.70-2
- revision from other feedback on other packages, clean up.

* Fri Oct 03 2014 Colin B. Macdonald <cbm@m.fsf.org> 0.70-1
- Version bump.

* Thu Jun 26 2014 Colin B. Macdonald <cbm@m.fsf.org> 0.69-1
- Changes file changed case.
- Add a TODO for the various files doc files.

* Wed Aug 22 2012 Mary Ellen Foster <mefoster@gmail.com> 0.64-1
- Specfile autogenerated by cpanspec 1.78.
